version: "3.6"

services:
  php:
    build:
      context: .
      dockerfile: Dockerfile
    volumes:
      - .:/code
    working_dir: /code
    network_mode: host

  influxdb_v2:
    image: influxdb:latest
    ports:
      - "8086:8086"
    command: influxd --reporting-disabled

  doxygen:
    image: musicscience37/sphinx-doxygen
    volumes:
      - .:/code
    working_dir: /code
    command: doxygen

  doc-publish:
    image: ubuntu
    volumes:
      - ./docs/html:/code/docs
      - ./scripts:/code/scripts
      - ./.circleci:/code/.circleci
      - ~/.ssh:/root/.ssh
      - ~/.gitconfig:/root/.gitconfig
    command: /code/scripts/publish-site.sh
